package org.jboss.resteasy.test.resteasy735;

import static org.junit.Assert.*;
import junit.framework.Assert;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.resteasy.client.ClientRequest;
import org.jboss.resteasy.client.ClientResponse;
import org.jboss.resteasy.resteasy735.TestApplication;
import org.jboss.resteasy.resteasy735.TestResource;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.junit.Test;
import org.junit.runner.RunWith;

/**
 * 
 * @author <a href="ron.sigal@jboss.com">Ron Sigal</a>
 * @version $Revision: 1.1 $
 *
 * Copyright Aug 3, 2012
 */
@RunWith(Arquillian.class)
public class FileExtensionMappingTest
{
   @Deployment
   public static Archive<?> createTestArchive()
   {
      WebArchive war = ShrinkWrap.create(WebArchive.class, "RESTEASY-735.war")
            .addClasses(TestApplication.class, TestResource.class)
            .addClasses(FileExtensionMappingTest.class)
            .addAsWebInfResource("web.xml");
      System.out.println(war.toString(true));
      return war;
   }

   @Test
   public void testFileExtensionMappingPlain() throws Exception
   {
      ClientRequest request = new ClientRequest("http://localhost:9090/RESTEASY-735/test.txt?query=whosOnFirst");
      ClientResponse<String> response = request.get(String.class);
      System.out.println("status: " + response.getStatus());
      System.out.println("response: " + response.getEntity());
      Assert.assertEquals(200, response.getStatus());
      Assert.assertEquals("plain: whosOnFirst", response.getEntity());
   }
   

   @Test
   public void testFileExtensionMappingHtml() throws Exception
   {
      ClientRequest request = new ClientRequest("http://localhost:9090/RESTEASY-735/test.html?query=whosOnFirst");
      ClientResponse<String> response = request.get(String.class);
      System.out.println("status: " + response.getStatus());
      System.out.println("response: " + response.getEntity());
      Assert.assertEquals(200, response.getStatus());
      Assert.assertEquals("html: whosOnFirst", response.getEntity());
   }
}
